Bug 184800 - Update to games/armagetron port to 2.8.3.2
Summary: Update to games/armagetron port to 2.8.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 12:00 UTC by Peter Kosyh
Modified: 2014-01-26 12:40 UTC (History)
0 users

See Also:


Attachments
file.diff (8.59 KB, patch)
2013-12-16 12:00 UTC, Peter Kosyh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Kosyh 2013-12-16 12:00:00 UTC
armagetron is cool game, but the port is outdated

Fix: I have attachhed the patch, compiled on 10.0-RC1 well

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-16 12:00:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-12-16 12:00:08 UTC
Maintainer of games/armagetron,

Please note that PR ports/184800 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184800

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Ian Wagner 2013-12-16 14:55:07 UTC
Looks good to me; approved.


On Mon, Dec 16, 2013 at 7:00 AM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of games/armagetron,
>
> Please note that PR ports/184800 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184800
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



-- 
Like Sudoku? Check out my free app "Endless Sudoku" on the App
Store<http://itunes.apple.com/app/endless-sudoku/id492773309>or Google
Play<https://play.google.com/store/apps/details?id=com.ianthetechie.endless_sudoku>
!
Comment 4 John Marino freebsd_committer 2014-01-19 15:15:46 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 5 John Marino freebsd_committer 2014-01-26 09:02:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

I'll take it.
Comment 6 dfilter service freebsd_committer 2014-01-26 12:30:08 UTC
Author: marino
Date: Sun Jan 26 12:30:01 2014
New Revision: 341168
URL: http://svnweb.freebsd.org/changeset/ports/341168
QAT: https://qat.redports.org/buildarchive/r341168/

Log:
  games/armagetron: Update to version 0.2.8.3.2 and support stage.
  
  The previous version was 0.2.8.2.1.
  Addition changes include:
   * Removal of PORTREVISION; this resets to 0 when PORTVERSION changes
   * convert USE_GMAKE to USES=gmake
   * Remove now unsupported armagetronad_dedicated.in processing
   * Convert LIBDEPENDS to new specification
   * Support stage
  
  PR:		ports/184800
  Submitted by:	Peter Kosyh
  Approved by:	maintainer (Ian Wagner)
  Fixed by:	marino@

Deleted:
  head/games/armagetron/files/armagetronad_dedicated.in
  head/games/armagetron/files/patch-Makefile.in
  head/games/armagetron/files/patch-batch-install.in
  head/games/armagetron/files/patch-src-engine_eGrid.h
  head/games/armagetron/files/patch-src-engine_eVoter.cpp
  head/games/armagetron/files/patch-src-engine_eWall.h
  head/games/armagetron/files/patch-src-tron_gCycle.h
Modified:
  head/games/armagetron/Makefile
  head/games/armagetron/distinfo
  head/games/armagetron/files/patch-configure

Modified: head/games/armagetron/Makefile
==============================================================================
--- head/games/armagetron/Makefile	Sun Jan 26 12:27:12 2014	(r341167)
+++ head/games/armagetron/Makefile	Sun Jan 26 12:30:01 2014	(r341168)
@@ -2,25 +2,24 @@
 # $FreeBSD$
 
 PORTNAME=	armagetron
-PORTVERSION=	0.2.8.2.1
-PORTREVISION=	7
+PORTVERSION=	0.2.8.3.2
 CATEGORIES=	games
-MASTER_SITES=	SF/${PORTNAME}ad/${PORTNAME}ad-src/${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME}ad/stable/${PORTVERSION}/
 DISTNAME=	armagetronad-${PORTVERSION}
-EXTRACT_SUFX=	.src.tar.gz
+EXTRACT_SUFX=	.src.tar.bz2
 
 MAINTAINER=	ianthetechie@gmail.com
 COMMENT=	A multiplayer networked Tron clone in 3D
 
-USE_GMAKE=	yes
+USES=		gmake
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--disable-etc --disable-initscripts
 CXXFLAGS+=	${CFLAGS} -I${LOCALBASE}/include
 
 BUILD_DEPENDS+=	bash:${PORTSDIR}/shells/bash
-LIB_DEPENDS+=	jpeg.11:${PORTSDIR}/graphics/jpeg \
-		png15:${PORTSDIR}/graphics/png \
-		xml2.5:${PORTSDIR}/textproc/libxml2
+LIB_DEPENDS+=	libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng.so:${PORTSDIR}/graphics/png \
+		libxml2.so:${PORTSDIR}/textproc/libxml2
 
 OPTIONS_DEFINE=	MUSIC ARMA_SERVER_ONLY
 MUSIC_DESC=	Compile in support for background music
@@ -28,14 +27,12 @@ ARMA_SERVER_ONLY_DESC=	Build dedicated s
 
 OPTIONS_DEFAULT=	MUSIC
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MARMA_SERVER_ONLY}
 CONFIGURE_ARGS+=	--disable-glout
 PLIST_SUB+=	CLIENT="@comment " SERVER="" SUFFIX="-dedicated"
 PKGNAMESUFFX=	-dedicated
-USE_RC_SUBR=	armagetronad_dedicated
 .else
 USE_GL=		gl
 USE_SDL=	sdl image

Modified: head/games/armagetron/distinfo
==============================================================================
--- head/games/armagetron/distinfo	Sun Jan 26 12:27:12 2014	(r341167)
+++ head/games/armagetron/distinfo	Sun Jan 26 12:30:01 2014	(r341168)
@@ -1,2 +1,2 @@
-SHA256 (armagetronad-0.2.8.2.1.src.tar.gz) = ef6ce4d913079cb7d26647c42107a165a87e96041b311b8d5059ac04ece1d859
-SIZE (armagetronad-0.2.8.2.1.src.tar.gz) = 1874858
+SHA256 (armagetronad-0.2.8.3.2.src.tar.bz2) = f444e481de94e6c0e3933c709d46effd2adfe823f5ef44768adcc8003b8ba7c5
+SIZE (armagetronad-0.2.8.3.2.src.tar.bz2) = 1841407

Modified: head/games/armagetron/files/patch-configure
==============================================================================
--- head/games/armagetron/files/patch-configure	Sun Jan 26 12:27:12 2014	(r341167)
+++ head/games/armagetron/files/patch-configure	Sun Jan 26 12:30:01 2014	(r341168)
@@ -1,11 +1,21 @@
---- configure.orig	2006-08-05 03:15:57.000000000 +0800
-+++ configure	2008-06-08 14:32:47.000000000 +0800
-@@ -17362,7 +17362,7 @@
- echo "     Static data will be installed in   : `eval echo ${aa_datadir}`"
- echo "     Configuration will be installed in : `eval echo ${aa_sysconfdir}`"
- echo "     Documentation will be installed in : `eval echo ${aa_docdir}`"
--test "x$enable_etc" = "xyes" && echo "     Link to configuration will go to   : /etc/${progname}"
-+test "x$enable_etc" = "xyes" && echo "     Link to configuration will go to   : $prefix/etc/${progname}"
- echo "     Music support: $enable_music"
- echo "     Build with Krawall authentication support: $enable_krawall"
- echo "     Use dirty SDL initialization: $enable_dirty"
+diff -Nur configure.orig configure
+--- configure.orig	2013-12-16 15:45:20.000000000 +0400
++++ configure	2013-12-16 15:46:48.000000000 +0400
+@@ -10629,12 +10629,12 @@
+ CPPFLAGS="$CPPFLAGS `libpng-config --cflags`"
+ LIBS="$LIBS $PNGLIBS"
+ 
+-ac_fn_c_check_func "$LINENO" "png_check_sig" "ac_cv_func_png_check_sig"
+-if test "x$ac_cv_func_png_check_sig" = x""yes; then :
++# ac_fn_c_check_func "$LINENO" "png_check_sig" "ac_cv_func_png_check_sig"
++# if test "x$ac_cv_func_png_check_sig" = x""yes; then :
+ 
+-else
+-  as_fn_error "You need libpng to compile Armagetron." "$LINENO" 5
+-fi
++# else
++#   as_fn_error "You need libpng to compile Armagetron." "$LINENO" 5
++# fi
+ 
+ 
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -ljpeg" >&5
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 John Marino freebsd_committer 2014-01-26 12:32:47 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!